package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.sql.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评规则表
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 描述
     */
    private String des;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 指标总分
     */
    private double totalScore;

    /**
     * 评分方式
     */
    private String evaluateMethod;

    /**
     * 评分公式
     */
    private String evaluateFormula;

    /**
     * 隐射函数
     */
    private String mappingFunction;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;


}
